Hitachi Vantara Pentaho Community Forums
Results 1 to 15 of 15

Thread: URGENT!!! Pentaho Bi Server CE 5.0.1 - Error with Chrome v61

  1. #1
    Join Date
    Sep 2015
    Posts
    10

    Default URGENT!!! Pentaho Bi Server CE 5.0.1 - Error with Chrome v61

    I'm facing a problem when trying to open reports made with Pentaho Report Designer in my Bi-Server CE 5.0.1. They were working perfect until today that my Chrome updated to version 61. Now, when opening a report with Chrome v61, the parameters box is missing and in the console i've found this error.

    Name:  Captura.jpg
Views: 142
Size:  3.1 KB

    It reads like this:
    Code:
    Uncaught SyntaxError: Unexpected identifier
        at fire (:7080/pentaho/content/pentaho-cdf/js/jquery.js:1047)
        at Object.fireWith (:7080/pentaho/content/pentaho-cdf/js/jquery.js:1165)
        at ready (:7080/pentaho/content/pentaho-cdf/js/jquery.js:436)
    This is how it looks in Firefox (it works ok in Firefox and even in previous versions of Chrome):

    Name:  ff.jpg
Views: 146
Size:  8.9 KB

    And this is how it looks in Chrome (the parameters box is missing in Chrome v61):

    Name:  chrome.jpg
Views: 148
Size:  7.3 KB

    Any help??

  2. #2
    Join Date
    May 2014
    Posts
    358

    Default

    The button to the right of the page selection should show or hide the parameter panel. If that doesn't do anything, it looks like a Chrome issue rather than a Pentaho issue.

  3. #3
    Join Date
    Sep 2015
    Posts
    10

    Default

    Quote Originally Posted by Lukfi View Post
    The button to the right of the page selection should show or hide the parameter panel. If that doesn't do anything, it looks like a Chrome issue rather than a Pentaho issue.
    Thanks Lukfi, i've tried with that button, but the parameters doesn't show. What i discovered now is that with the exact same version of Chrome (61.0.3163.79 (Build oficial) (64 bits)) on differents pc, it works ok on some of them, and doesn't work in others.
    I thought this was related to a Chrome update, but now i have the same version in all of my workstations and the problem is appearing only in some pc.

    Any more ideas??

  4. #4
    Join Date
    Aug 2006
    Posts
    287

    Default

    I am inclined to think this is a chrome issue. Just for your consideration; you may want to upgrade to a later version 5.0.1 is way long out of supported life I believe

  5. #5
    Join Date
    Sep 2015
    Posts
    10

    Default

    Quote Originally Posted by caralomi View Post
    I am inclined to think this is a chrome issue. Just for your consideration; you may want to upgrade to a later version 5.0.1 is way long out of supported life I believe
    Ok, i've been searching for a tutorial or something that helps me to update my bi-server to version 6 or 7, but found nothing. I've a production server that contains many reports that are in use right now and i can't loose anything, so updating is very risky...
    Last edited by mlaurito04; 09-13-2017 at 02:04 PM.

  6. #6
    Join Date
    Nov 2009
    Posts
    688

    Default

    With import-export.bat you can export your repository with all your reports and also users and roles and than import it to another server. Then you can test if eveything works fine after the upgrade.

    Does emtying internet cache helps?

  7. #7
    Join Date
    Sep 2015
    Posts
    10

    Default

    Quote Originally Posted by johanhammink View Post
    With import-export.bat you can export your repository with all your reports and also users and roles and than import it to another server. Then you can test if eveything works fine after the upgrade.

    Does emtying internet cache helps?
    Thanks johan, where can i find that import-export.bat??

    No, emptying internet cache doesn't work, even tried uninstalling chrome completely and delete the profile and it doesn't work.

    If i downgrade chrome to an earlier version, it works ok, but the v61 (the one with the problem) works ok in some pc and doesn't work in others.

  8. #8
    Join Date
    Nov 2009
    Posts
    688

    Default

    The import-export.bat file should be in the root folder of the pentaho server. So the same directory as start-pentaho.bat.

    I am not working with version 5.0 anymore so I cannot check if I encountered the same problems with the newest chrome version. It looks there is something wrong in the jquery.js.

  9. #9
    Join Date
    Sep 2015
    Posts
    10

    Default

    Quote Originally Posted by johanhammink View Post
    The import-export.bat file should be in the root folder of the pentaho server. So the same directory as start-pentaho.bat.

    I am not working with version 5.0 anymore so I cannot check if I encountered the same problems with the newest chrome version. It looks there is something wrong in the jquery.js.
    Yes, i've found it and now i'm struggling with the import-export.sh. Do you know what is the --path parameter?? It's giving me an error.

  10. #10
    Join Date
    Aug 2006
    Posts
    287

    Default

    The path is supposed to be a folder within PUC such as /public that would export all the folders below the public folder

  11. #11
    Join Date
    Sep 2015
    Posts
    10

    Default

    Quote Originally Posted by caralomi View Post
    The path is supposed to be a folder within PUC such as /public that would export all the folders below the public folder
    I'm using this command:

    ./import-export.sh --export --url=http://localhost:8080/pentaho --username=dvader --password=password --charset=UTF-8 --path=/public --file-path=C:/Users/dvader/Downloads/pentaho-solutions.zip --overwrite=true --permission=true --retainOwnership=true

    And getting this error:

    /usr/pentaho/biserver-ce
    /usr/pentaho/biserver-ce
    WARNING: Using java from path
    DEBUG: _PENTAHO_JAVA_HOME=
    DEBUG: _PENTAHO_JAVA=java
    log4j:WARN Continuable parsing error 3 and column 57
    log4j:WARN Document root element "configuration", must match DOCTYPE root "null".
    log4j:WARN Continuable parsing error 3 and column 57
    log4j:WARN Document is invalid: no grammar found.
    log4j:WARN The <configuration> element has been deprecated.
    log4j:WARN Use the <log4j:configuration> element instead.

  12. #12
    Join Date
    Nov 2009
    Posts
    688

    Default

    Are you on a Windows or Linux system? --file-path=C:/Users/dvader/Downloads/pentaho-solutions.zip looks like Windows but import-export.sh is Linux
    Documentation:
    https://help.pentaho.com/Documentation/6.1/0P0/000/Backup_and_Restore_Pentaho_Repositories

  13. #13
    Join Date
    Sep 2015
    Posts
    10

    Default

    Quote Originally Posted by johanhammink View Post
    Are you on a Windows or Linux system? --file-path=C:/Users/dvader/Downloads/pentaho-solutions.zip looks like Windows but import-export.sh is Linux
    Documentation:
    https://help.pentaho.com/Documentation/6.1/0P0/000/Backup_and_Restore_Pentaho_Repositories
    I'm on linux. Yes i've noticed that, it's just an error when posting here, i've used a linux file path when running that command.

  14. #14
    Join Date
    Jan 2015
    Posts
    3

    Default

    How did you solve this we are running into the same issues with browsers and reports some work on some PC others it doesn't.

  15. #15
    Join Date
    Sep 2015
    Posts
    10

    Default

    Quote Originally Posted by elatham View Post
    How did you solve this we are running into the same issues with browsers and reports some work on some PC others it doesn't.
    I really can't tell you what to do to solve this issue because i don't know. It start working on it's own in all the pc that doesn't work before, and we haven't do any changes to them.
    So strange. Sorry.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.